Skip to main content

Questions tagged [qt5]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
0 votes
1 answer
64 views

[ROS1 Noetic]Qt5 Rviz plugin

I'm having trouble making Rviz teleop plugin using Qtcreator. I'm using Noetic and Ubuntu 20.04. The codes is not complete yet, for now I just want to see teleop GUI on Rviz. I'm using ...
minseoJeong's user avatar
0 votes
1 answer
42 views

Colcon build gives Qt5quick error

I am trying to build this package on ROS2. I was getting some errors with tf2_geometry_msgs but I resolved that by editing the CMake file and package.xml. Apart from this, I am getting the following ...
user avatar
0 votes
1 answer
40 views

dyld: Library not loaded: QtWidgets

I ran run demo_nodes_cpp talker successfully but now I have troubles with this. I searched where QtWidgets is and it is at <...
user avatar
0 votes
1 answer
21 views

Cmake error when compiling ros_tutorials packages in windows 10 ROS 2 Foxy Fitzroy Patch Release 4

I just followed the instructions in Installing ROS 2 on Windows. After that, I tried to create a workspace following this tutorial but at step 5, I'm getting the following error: ...
user avatar
0 votes
1 answer
4 views

Cmake error when creating a new workspace in windows

when i creating a new workspace(in windouws) using colcon build --merge-install this error happend. ...
user avatar
0 votes
1 answer
10 views

Prerelease melodic Qt5 cmake error

Hey, I am currently trying to do my prerelease tests for a melodic version of my meta-package robot_statemachine which was already released for kinetic. Unfortunately, when running the prerelease ...
user avatar
0 votes
2 answers
27 views

Qt 5 for ROS melodic

I'm wondering about the proper way to get Qt 5 for ROS melodic on Ubuntu 18.04. I searched for hours but couldn't find any recent tutorials. Last year, I developed this package where I used ...
user avatar
0 votes
1 answer
13 views

Could not find or load the Qt platform plugin "windows" in ""

I am trying to build a Qt5 Widget application as a ROS2 package with colcon. After following this tutorial (only that I am using a Widget application instead of a quick app), I finally was able to ...
user avatar
0 votes
1 answer
3 views

Catkin/CMake Bundling for Snapcraft "Qrc module is not installed"

I'm working on bundling a ROS + Qt5 application into a snap - and can't seem to get all of the qt dependencies properly included. I would love to get some input on where I might be going wrong. I'm ...
user avatar
0 votes
1 answer
8 views

TF2 lookupTransform problem in Qt5

When I was writing a Qt5 widget use tf2, I got all zero when print Translation and Rotation. I reviewed some similar questions and modified my program, it was written inside the UI's constructor, just ...
user avatar
0 votes
1 answer
1 view

buildfarm: Melodic build with qt_gui_cpp dependency doesn't install qtbase5-dev

Hi, I'm trying to release a package in Melodic (find_object_2d) that depends on qt_gui_cpp (in its package.xml). Normally, in previous distributions (Lunar, Kinetic, Indigo...), qt_gui_cpp will ...
user avatar
0 votes
1 answer
2 views

How can I use Qt5 with ROS kinetic?

Hi guys, I am a beginner with ROS and I want to do GUI for control my robotic arm. I think that I can use Qt5 in ROS without any plugins or changing some settings in QtCreator. I want to test a simple ...
user avatar
0 votes
1 answer
8 views

[kinetic] joint_state_publisher doesn't run

Hi, I have a problem while lunching joint_state_publisher with any urdf file in ROS Kinetic and ubuntu 16.04 it crashes due to a missing library, I made sure that the library exists and is included in ...
user avatar
0 votes
1 answer
5 views

rqt plugin Qt5 and 16.04

I'm trying to create a rqt plugin. I've tried to mimic the rqt_image_view package as much as possible. When I open rqt and try to open the plugin from the drop-down menu, I get the following error in ...
user avatar
0 votes
1 answer
3 views

kinetic installation fails with 'Failed to detect successful installation of [qt5]' error

OS : OSX El Capitan , Version : 10.11.3 ...
user avatar
0 votes
1 answer
12 views

Integrating cmake into qmake build process in QtCreator

Hi. I already have a large (working) Qt program, where I want to use ROS functionalities now, too. Therefore, I would like to keep the qmake build process. So, everything is setup in QtCreator: On the ...
user avatar
0 votes
1 answer
4 views

Add a new ROS publisher node to a QTcreator project which already contains a ROS subscriber node

Hi guys, I've used QT to create a package with GUI and a ROS node (subscriber), and every thing works as I expected. Now I need to add a new publisher node to my QT. Please help me to do this if you ...
user avatar
0 votes
2 answers
11 views

Create an RViz dockable panel w/ catkin and Qt5

Hi everyone, These past days, I'm trying to write an RViz dockable panel following the tutorial here. My goal is basically to display – for now – an empty panel (the strict minimum, for a beginning). ...
user avatar
0 votes
1 answer
30 views

When using rqt with Qt5, does not find <QObject> in ROS internal "plugin_bridge.h"

I am trying to build the C++ example from the RQT tutorial, with a CMakeList and structure taken from rqt_image_view. I use Qt5 on Ubuntu with Cmake 2.8.12.2 When I run catkin_make everything in my ...
user avatar
0 votes
1 answer
16 views

ROS application using Qt5 qml

Hello All, I am developing a ground station application for a mobile robot. I usually create the qt-ros package using catkin_create_qt_pkg. I recently updated to qtcreator 5.0.2 and qtquick 2. Since I ...
user avatar
0 votes
1 answer
2 views

Using roscpp in external software

I would like to link to roscpp in an external software such to communicate with the ROS system running on my robot. The scope is to use my Qt5 GUI to control and configure the robot on different ...
Myzhar's user avatar
  • 198
0 votes
1 answer
1 view

RGBDSlam_V2 Error with make

Hey so I'm running hydro compiled from source on XUbuntu 13.10 ARM for Odroid. When I try to run make, or catkin_make, on my root directory, I get this error. ...
user avatar
0 votes
1 answer
3 views

How can I use Qt 5 with ROS catkin?

I'm able to use qt_ros, but it creates package depending on Qt4, but I need Qt 5.1 or older to use QSerialPort. How can I do it? Is it a bad idea? Originally posted by Rr on ROS Answers with karma: ...
user avatar
0 votes
1 answer
2 views

GUI Catkin Qt5 Cmake

Hey folks, I don't really know where to start with my ROS-GUI implementation. I'm on Groovy and trying to visualize some Messages. I also have a little bit experience with Qt widgets, but don't know ...
user avatar